---------------------
PatchSet 1315 
Date: 2005/04/25 13:34:38
Author: rmartinez
Branch: squid3-ipv6
Tag: (none) 
Log:
Fixing some conflicts with HEAD. Renaming inet_toa into INET_TOA

Members: 
	src/asn.cc:1.16.6.1->1.16.6.2 
	src/cache_cf.cc:1.40.2.2->1.40.2.3 
	src/cachemgr.cc:1.8.4.4->1.8.4.5 
	src/client.cc:1.10->1.10.4.1 
	src/client_db.cc:1.5.4.1->1.5.4.2 
	src/client_side.cc:1.68.2.2->1.68.2.3 
	src/client_side.h:1.7.10.1->1.7.10.2 
	src/client_side_reply.cc:1.57.4.2->1.57.4.3 
	src/comm.cc:1.47.2.2->1.47.2.3 
	src/dns_internal.cc:1.15.6.1->1.15.6.2 
	src/dnsserver.cc:1.7.4.1->1.7.4.2 
	src/errorpage.cc:1.23->1.23.6.1 
	src/external_acl.cc:1.37.6.1->1.37.6.2 
	src/forward.cc:1.35.4.2->1.35.4.3 
	src/fqdncache.cc:1.9.2.4->1.9.2.5 
	src/ftp.cc:1.26.2.1->1.26.2.2 
	src/globals.h:1.17.2.4->1.17.2.5 
	src/htcp.cc:1.15->1.15.6.1 
	src/htcp.h:1.4->1.4.8.1 
	src/http.cc:1.43.4.2->1.43.4.3 
	src/icmp.cc:1.8.8.1->1.8.8.2 
	src/icp_v2.cc:1.17.8.1->1.17.8.2 
	src/icp_v3.cc:1.5->1.5.8.1 
	src/ident.cc:1.11->1.11.8.1 
	src/internal.cc:1.5->1.5.8.1 
	src/ipc.cc:1.9->1.9.4.1 
	src/ipcache.cc:1.9.2.4->1.9.2.5 
	src/main.cc:1.42.4.1->1.42.4.2 
	src/multicast.cc:1.2->1.2.10.1 
	src/neighbors.cc:1.23.4.2->1.23.4.3 
	src/net_db.cc:1.13.4.1->1.13.4.2 
	src/peer_select.cc:1.9.4.1->1.9.4.2 
	src/pinger.cc:1.9.8.1->1.9.8.2 
	src/protos.h:1.48.4.4->1.48.4.5 
	src/recv-announce.cc:1.2->1.2.10.1 
	src/redirect.cc:1.15.4.1->1.15.4.2 
	src/send-announce.cc:1.3->1.3.10.1 
	src/snmp_core.cc:1.10.8.1->1.10.8.2 
	src/stat.cc:1.24->1.24.4.1 
	src/structs.h:1.66.2.6->1.66.2.7 
	src/tools.cc:1.22.2.1->1.22.2.2 
	src/wccp.cc:1.10.2.1->1.10.2.2 

Index: squid3/src/asn.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/asn.cc,v
retrieving revision 1.16.6.1
retrieving revision 1.16.6.2
diff -u -r1.16.6.1 -r1.16.6.2
--- squid3/src/asn.cc	19 Apr 2005 10:57:56 -0000	1.16.6.1
+++ squid3/src/asn.cc	25 Apr 2005 13:34:38 -0000	1.16.6.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: asn.cc,v 1.16.6.1 2005/04/19 10:57:56 rmartinez Exp $
+ * $Id: asn.cc,v 1.16.6.2 2005/04/25 13:34:38 rmartinez Exp $
  *
  * DEBUG: section 53    AS Number handling
  * AUTHOR: Duane Wessels, Kostas Anagnostakis
@@ -140,7 +140,7 @@
     List<int> *a = NULL;
     List<int> *b = NULL;
     lh = ntohl(addr.s_addr);
-    debug(53, 3) ("asnMatchIp: Called for %s.\n", inet_ntoa(addr));
+    debug(53, 3) ("asnMatchIp: Called for %s.\n", INET_NTOA(addr));
 
     if (AS_tree_head == NULL)
         return 0;
@@ -421,9 +421,9 @@
 
     in_m.s_addr = mask;
 
-    xstrncpy(dbg1, inet_ntoa(in_a), 32);
+    xstrncpy(dbg1, INET_NTOA(in_a), 32);
 
-    xstrncpy(dbg2, inet_ntoa(in_m), 32);
+    xstrncpy(dbg2, INET_NTOA(in_m), 32);
 
     addr = ntohl(addr);
 
@@ -547,7 +547,7 @@
     (void) get_m_int(addr.s_addr, e->e_addr);
     (void) get_m_int(mask.s_addr, e->e_mask);
     storeAppendPrintf(sentry, "%15s/%d\t",
-                      inet_ntoa(addr), mask_len(ntohl(mask.s_addr)));
+                      INET_NTOA(addr), mask_len(ntohl(mask.s_addr)));
     asinfo = e->e_info;
     assert(asinfo->as_number);
 
Index: squid3/src/cache_cf.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/cache_cf.cc,v
retrieving revision 1.40.2.2
retrieving revision 1.40.2.3
diff -u -r1.40.2.2 -r1.40.2.3
--- squid3/src/cache_cf.cc	19 Apr 2005 10:57:56 -0000	1.40.2.2
+++ squid3/src/cache_cf.cc	25 Apr 2005 13:34:52 -0000	1.40.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_cf.cc,v 1.40.2.2 2005/04/19 10:57:56 rmartinez Exp $
+ * $Id: cache_cf.cc,v 1.40.2.3 2005/04/25 13:34:52 rmartinez Exp $
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -648,7 +648,7 @@
         https_port_list *s;
 
         for (s = Config.Sockaddr.https; s != NULL; s = (https_port_list *) s->http.next) {
-            debug(3, 1) ("Initializing https_port %s:%d SSL context\n", inet_ntoa(s->http.s.sin_addr), ntohs(s->http.s.sin_port));
+            debug(3, 1) ("Initializing https_port %s:%d SSL context\n", INET_NTOA(s->http.s.sin_addr), ntohs(s->http.s.sin_port));
             s->sslContext = sslCreateServerContext(s->cert, s->key, s->version, s->cipher, s->options, s->sslflags, s->clientca, s->cafile, s->capath, s->crlfile, s->dhfile, s->sslcontext);
         }
     }
@@ -863,7 +863,7 @@
 
 dump_address(StoreEntry * entry, const char *name, struct IN_ADDR addr)
 {
-    storeAppendPrintf(entry, "%s %s\n", name, inet_ntoa(addr));
+    storeAppendPrintf(entry, "%s %s\n", name, INET_NTOA(addr));
 }
 
 static void
@@ -877,7 +877,11 @@
     if (token == NULL)
         self_destruct();
 
+#ifdef INET6
+    if (safe_inet6_addr(token, addr) == 1)
+#else
     if (safe_inet_addr(token, addr) == 1)
+#endif
         (void) 0;
     else if ((hp = gethostbyname(token)))	/* dont use ipcache */
         *addr = inaddrFromHostent(hp);
@@ -902,7 +906,7 @@
 
     for (l = head; l; l = l->next) {
         if (l->addr.s_addr != INADDR_ANY)
-            storeAppendPrintf(entry, "%s %s", name, inet_ntoa(l->addr));
+            storeAppendPrintf(entry, "%s %s", name, INET_NTOA(l->addr));
         else
             storeAppendPrintf(entry, "%s autoselect", name);
 
@@ -2610,7 +2614,7 @@
     }
 
     s = static_cast<sockaddr_in_list *>(xcalloc(1, sizeof(*s)));
-    s->s.sin_port = htons(port);
+    PORT_FROM_SA(s->s) = htons(port);
 
     if (NULL == host)
         s->s.sin_addr = any_addr;
@@ -2643,7 +2647,7 @@
     while (s) {
         storeAppendPrintf(e, "%s %s:%d\n",
                           n,
-                          inet_ntoa(s->s.sin_addr),
+                          INET_NTOA(s->s.sin_addr),
                           ntohs(s->s.sin_port));
         s = s->next;
     }
@@ -2693,7 +2697,7 @@
         self_destruct();
     }
 
-    s->s.sin_port = htons(port);
+    PORT_FROM_SA(s->s) = htons(port);
 
     if (NULL == host)
         s->s.sin_addr = any_addr;
@@ -2808,7 +2812,7 @@
 {
     storeAppendPrintf(e, "%s %s:%d",
                       n,
-                      inet_ntoa(s->s.sin_addr),
+                      INET_NTOA(s->s.sin_addr),
                       ntohs(s->s.sin_port));
 
     if (s->defaultsite)
Index: squid3/src/cachemgr.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/cachemgr.cc,v
retrieving revision 1.8.4.4
retrieving revision 1.8.4.5
diff -u -r1.8.4.4 -r1.8.4.5
--- squid3/src/cachemgr.cc	19 Apr 2005 10:57:57 -0000	1.8.4.4
+++ squid3/src/cachemgr.cc	25 Apr 2005 13:35:06 -0000	1.8.4.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cachemgr.cc,v 1.8.4.4 2005/04/19 10:57:57 rmartinez Exp $
+ * $Id: cachemgr.cc,v 1.8.4.5 2005/04/25 13:35:06 rmartinez Exp $
  *
  * DEBUG: section 0     CGI Cache Manager
  * AUTHOR: Duane Wessels
@@ -162,14 +162,7 @@
 static const char *progname = NULL;
 static time_t now;
 
-<<<<<<< cachemgr.cc
-#if ENABLE_IPV6
-#else
-static struct in_addr no_addr;
-#endif
-=======
 static struct IN_ADDR no_addr;
->>>>>>> 1.11
 
 /*
  * Function prototypes
@@ -680,7 +673,9 @@
 process_request(cachemgr_request * req)
 {
 
+    const struct hostent *hp;
 
+    static struct SOCKADDR_IN S;
     int s;
     int l;
 #ifdef _SQUID_MSWIN_
@@ -718,83 +713,27 @@
         return 1;
     }
 
-#if ENABLE_IPV6
-        // Implemented as in http://ftp.gnu.org/savannah/files/ffss/doc/ipv6-app-port.html, gethostbyname()
-    {
-	struct sockaddr *       sa;
-	struct addrinfo         hints;
-	struct addrinfo *       addrinfo;
-        int                     error;
-                                
-	/*
-	 * getaddrinfo() case.  You can get IPv6 address and IPv4 address
-	 * at the same time.
-	 */
-	memset(&hints, 0, sizeof(hints));
-	/* set-up hints structure */
-	hints.ai_family = PF_UNSPEC;
-	error = getaddrinfo(req->hostname, NULL, &hints, &addrinfo);
-	if (error) {
-            snprintf(buf, 1024, "Unable to resolve host %s: %s\n", req->hostname,gai_strerror(error));
-            error_html(buf);
-            return 1;
-	} else {
-            struct addrinfo *   entry           = addrinfo;
-            int                 connected       = 0;
-            
-            
-            while (entry) {
-                sa = (struct sockaddr *)entry->ai_addr;
-                /* do what you want */
-                
-                
-                if (connect(s,sa,sizeof(struct sockaddr)) < 0) {
-                    // some error
-                } else {
-                    connected = 1;
-                    break;
-                }
-                
-                entry = entry->ai_next;
-            }
-            
-            freeaddrinfo(addrinfo);
-            
-            if (!connected) { // we tried all adresses, but failed
-                snprintf(buf, 1024, "connect: %s\n", xstrerror());
-                error_html(buf);
-                return 1;
-            }
-	}        
+    memset(&S, '\0', sizeof(struct SOCKADDR_IN));
+    FAMILY_FROM_SA(S) = AF_INET;
+
+    if ((hp = gethostbyname(req->hostname)) != NULL) {
+        assert(hp->h_length >= 0 && (size_t)hp->h_length <= sizeof(S.sin_addr.s_addr));
+        xmemcpy(&S.sin_addr.s_addr, hp->h_addr, hp->h_length);
+    } else if (safe_inet_addr(req->hostname, &S.sin_addr))
+        (void) 0;
+    else {
+        snprintf(buf, 1024, "Unknown host: %s\n", req->hostname);
+        error_html(buf);
+        return 1;
     }
-#else
-    {
-        static  struct sockaddr_in      S;
-        const   struct hostent *        hp;
-        
-        memset(&S, '\0', sizeof(struct sockaddr_in));
-        S.sin_family = AF_INET;
-    
-        if ((hp = gethostbyname(req->hostname)) != NULL) {
-            assert(hp->h_length >= 0 && (size_t)hp->h_length <= sizeof(S.sin_addr.s_addr));
-            xmemcpy(&S.sin_addr.s_addr, hp->h_addr, hp->h_length);
-        } else if (safe_inet_addr(req->hostname, &S.sin_addr))
-            (void) 0;
-        else {
-            snprintf(buf, 1024, "Unknown host: %s\n", req->hostname);
-            error_html(buf);
-            return 1;
-        }
-    
-        S.sin_port = htons(req->port);
-    
-        if (connect(s, (struct sockaddr *) &S, sizeof(struct sockaddr_in)) < 0) {
-            snprintf(buf, 1024, "connect: %s\n", xstrerror());
-            error_html(buf);
-            return 1;
-        }
+
+    PORT_FROM_SA(S) = htons(req->port);
+
+    if (connect(s, (struct sockaddr *) &S, sizeof(struct SOCKADDR_IN)) < 0) {
+        snprintf(buf, 1024, "connect: %s\n", xstrerror());
+        error_html(buf);
+        return 1;
     }
-#endif    
 
     l = snprintf(buf, sizeof(buf),
                  "GET cache_object://%s/%s HTTP/1.0\r\n"
@@ -827,10 +766,7 @@
     int answer;
 #endif
 
-#if ENABLE_IPV6
-#else
-    safe_inet_addr("255.255.255.255", &no_addr);
-#endif
+    memset(&no_addr, '\xFF', sizeof(no_addr));
     now = time(NULL);
 #ifdef _SQUID_MSWIN_
 
Index: squid3/src/client.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/client.cc,v
retrieving revision 1.10
retrieving revision 1.10.4.1
diff -u -r1.10 -r1.10.4.1
--- squid3/src/client.cc	7 Jan 2005 03:13:20 -0000	1.10
+++ squid3/src/client.cc	25 Apr 2005 13:35:20 -0000	1.10.4.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client.cc,v 1.10 2005/01/07 03:13:20 squidadm Exp $
+ * $Id: client.cc,v 1.10.4.1 2005/04/25 13:35:20 rmartinez Exp $
  *
  * DEBUG: section 0     WWW Client
  * AUTHOR: Harvest Derived
@@ -547,22 +547,23 @@
 
     static const struct hostent *hp = NULL;
 
-    static struct sockaddr_in from_addr;
+    static struct SOCKADDR_IN from_addr;
 
     /* Set up the source socket address from which to send. */
 
     if (hp == NULL) {
-        from_addr.sin_family = AF_INET;
+	
+        FAMILY_FROM_SA(from_addr)= AF_FAMILY;
 
         if ((hp = gethostbyname(local_host)) == 0) {
             return (-1);
         }
 
         xmemcpy(&from_addr.sin_addr, hp->h_addr, hp->h_length);
-        from_addr.sin_port = 0;
+        PORT_FROM_SA(from_addr) = 0;
     }
 
-    return bind(sock, (struct sockaddr *) &from_addr, sizeof(struct sockaddr_in));
+    return bind(sock, (struct sockaddr *) &from_addr, sizeof(struct SOCKADDR_IN));
 }
 
 static int
@@ -571,26 +572,26 @@
 
     static const struct hostent *hp = NULL;
 
-    static struct sockaddr_in to_addr;
+    static struct SOCKADDR_IN to_addr;
 
     /* Set up the destination socket address for message to send to. */
 
     if (hp == NULL)
     {
-        to_addr.sin_family = AF_INET;
+        FAMILY_FROM_SA(to_addr) = AF_INET;
 
         if ((hp = gethostbyname(dest_host)) == 0) {
             return (-1);
         }
 
         xmemcpy(&to_addr.sin_addr, hp->h_addr, hp->h_length);
-        to_addr.sin_port = htons(dest_port);
+        PORT_FROM_SA(to_addr) = htons(dest_port);
     }
 
     if (tvp)
         (void) Now(tvp);
 
-    return connect(sock, (struct sockaddr *) &to_addr, sizeof(struct sockaddr_in));
+    return connect(sock, (struct sockaddr *) &to_addr, sizeof(struct SOCKADDR_IN));
 }
 
 static int
Index: squid3/src/client_db.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/client_db.cc,v
retrieving revision 1.5.4.1
retrieving revision 1.5.4.2
diff -u -r1.5.4.1 -r1.5.4.2
--- squid3/src/client_db.cc	19 Apr 2005 10:57:57 -0000	1.5.4.1
+++ squid3/src/client_db.cc	25 Apr 2005 13:35:30 -0000	1.5.4.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_db.cc,v 1.5.4.1 2005/04/19 10:57:57 rmartinez Exp $
+ * $Id: client_db.cc,v 1.5.4.2 2005/04/25 13:35:30 rmartinez Exp $
  *
  * DEBUG: section 0     Client Database
  * AUTHOR: Duane Wessels
@@ -57,7 +57,7 @@
 {
     ClientInfo *c;
     c = (ClientInfo *)memAllocate(MEM_CLIENT_INFO);
-    c->hash.key = xstrdup(inet_ntoa(addr));
+    c->hash.key = xstrdup(INET_NTOA(addr));
     c->addr = addr;
     hash_join(client_table, &c->hash);
     statCounter.client_http.clients++;
@@ -95,7 +95,7 @@
     if (!Config.onoff.client_db)
         return;
 
-    key = inet_ntoa(addr);
+    key = ( char*)INET_NTOA(addr);
 
     c = (ClientInfo *) hash_lookup(client_table, key);
 
@@ -143,7 +143,7 @@
     if (!Config.onoff.client_db)
         return 0;
 
-    key = inet_ntoa(addr);
+    key = (char *)INET_NTOA(addr);
 
     c = (ClientInfo *) hash_lookup(client_table, key);
 
@@ -172,7 +172,7 @@
     if (!Config.onoff.client_db)
         return 0;
 
-    key = inet_ntoa(addr);
+    key = (char *)INET_NTOA(addr);
 
     c = (ClientInfo *) hash_lookup(client_table, key);
 
@@ -386,7 +386,7 @@
 
     if (current)
     {
-        key = inet_ntoa(*current);
+        key = INET_NTOA(*current);
         hash_first(client_table);
 
         while ((c = (ClientInfo *) hash_next(client_table))) {
Index: squid3/src/client_side.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/client_side.cc,v
retrieving revision 1.68.2.2
retrieving revision 1.68.2.3
diff -u -r1.68.2.2 -r1.68.2.3
--- squid3/src/client_side.cc	19 Apr 2005 10:57:57 -0000	1.68.2.2
+++ squid3/src/client_side.cc	25 Apr 2005 13:35:40 -0000	1.68.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.cc,v 1.68.2.2 2005/04/19 10:57:57 rmartinez Exp $
+ * $Id: client_side.cc,v 1.68.2.3 2005/04/25 13:35:40 rmartinez Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -165,7 +165,7 @@
 static int connKeepReadingIncompleteRequest(ConnStateData::Pointer & conn);
 static void connCancelIncompleteRequests(ConnStateData::Pointer & conn);
 
-static ConnStateData *connStateCreate(struct sockaddr_in *peer, struct sockaddr_in *me, int fd, http_port_list *port);
+static ConnStateData *connStateCreate(struct SOCKADDR_IN *peer, struct SOCKADDR_IN *me, int fd, http_port_list *port);
 
 int
 ClientSocketContext::fd() const
@@ -1786,7 +1786,7 @@
         http->uri = (char *)xcalloc(url_sz, 1);
         snprintf(http->uri, url_sz, "%s://%s:%d%s",
                  http->getConn()->port->protocol,
-                 inet_ntoa(http->getConn()->me.sin_addr),
+                 INET_NTOA(http->getConn()->me.sin_addr),
                  ntohs(http->getConn()->me.sin_port), url);
         debug(33, 5) ("ACCEL VPORT REWRITE: '%s'\n", http->uri);
     } else if (vport > 0) {
@@ -1795,7 +1795,7 @@
         http->uri = (char *)xcalloc(url_sz, 1);
         snprintf(http->uri, url_sz, "%s://%s:%d%s",
                  http->getConn()->port->protocol,
-                 inet_ntoa(http->getConn()->me.sin_addr),
+                 INET_NTOA(http->getConn()->me.sin_addr),
                  vport, url);
         debug(33, 5) ("ACCEL VPORT REWRITE: '%s'\n", http->uri);
     }
@@ -1830,7 +1830,7 @@
         http->uri = (char *)xcalloc(url_sz, 1);
         snprintf(http->uri, url_sz, "%s://%s:%d%s",
                  http->getConn()->port->protocol,
-                 inet_ntoa(http->getConn()->me.sin_addr),
+                 INET_NTOA(http->getConn()->me.sin_addr),
                  ntohs(http->getConn()->me.sin_port), url);
         debug(33, 5) ("TRANSPARENT REWRITE: '%s'\n", http->uri);
     }
@@ -2759,7 +2759,7 @@
     clientHttpRequest *http = (clientHttpRequest *)data;
     debug(33,
           1) ("WARNING: Closing client %s connection due to lifetime timeout\n",
-              inet_ntoa(http->getConn()->peer.sin_addr));
+              INET_NTOA(http->getConn()->peer.sin_addr));
     debug(33, 1) ("\t%s\n", http->uri);
     comm_close(fd);
 }
@@ -2782,7 +2782,7 @@
 
 ConnStateData *
 
-connStateCreate(struct sockaddr_in *peer, struct sockaddr_in *me, int fd, http_port_list *port)
+connStateCreate(struct SOCKADDR_IN *peer, struct SOCKADDR_IN *me, int fd, http_port_list *port)
 {
     ConnStateData *result = new ConnStateData;
     result->peer = *peer;
@@ -2796,7 +2796,7 @@
     if (port->transparent)
     {
 
-        struct sockaddr_in dst;
+        struct SOCKADDR_IN dst;
 
         if (clientNatLookup(fd, *me, *peer, &dst) == 0) {
             result->me = dst; /* XXX This should be moved to another field */
@@ -3093,7 +3093,7 @@
                      s->transparent ? "transparently proxied" :
                      s->accel ? "accelerated" :
                      "",
-                     inet_ntoa(s->s.sin_addr), (int) ntohs(s->s.sin_port), fd);
+                     INET_NTOA(s->s.sin_addr), (int) ntohs(s->s.sin_port), fd);
 
         HttpSockets[NHttpSockets++] = fd;
     }
@@ -3115,7 +3115,7 @@
 
         if (s->sslContext == NULL) {
             debug(1, 1) ("Can not accept HTTPS connections at %s, port %d\n",
-                         inet_ntoa(s->http.s.sin_addr), (int) ntohs(s->http.s.sin_port));
+                         INET_NTOA(s->http.s.sin_addr), (int) ntohs(s->http.s.sin_port));
         }
 
         enter_suid();
@@ -3133,7 +3133,7 @@
         comm_accept(fd, httpsAccept, s);
 
         debug(1, 1) ("Accepting HTTPS connections at %s, port %d, FD %d.\n",
-                     inet_ntoa(s->http.s.sin_addr), (int) ntohs(s->http.s.sin_port), fd);
+                     INET_NTOA(s->http.s.sin_addr), (int) ntohs(s->http.s.sin_port), fd);
 
         HttpSockets[NHttpSockets++] = fd;
     }
Index: squid3/src/client_side.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/client_side.h,v
retrieving revision 1.7.10.1
retrieving revision 1.7.10.2
diff -u -r1.7.10.1 -r1.7.10.2
--- squid3/src/client_side.h	19 Apr 2005 10:58:13 -0000	1.7.10.1
+++ squid3/src/client_side.h	25 Apr 2005 13:35:57 -0000	1.7.10.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.h,v 1.7.10.1 2005/04/19 10:58:13 rmartinez Exp $
+ * $Id: client_side.h,v 1.7.10.2 2005/04/25 13:35:57 rmartinez Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -178,9 +178,9 @@
     /* TODO: generalise the connection owner concept */
     ClientSocketContext::Pointer currentobject;	/* used by the owner of the connection. Opaque otherwise */
 
-    struct sockaddr_in peer;
+    struct SOCKADDR_IN peer;
 
-    struct sockaddr_in me;
+    struct SOCKADDR_IN me;
 
     struct IN_ADDR log_addr;
     char rfc931[USER_IDENT_SZ];
Index: squid3/src/client_side_reply.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/client_side_reply.cc,v
retrieving revision 1.57.4.2
retrieving revision 1.57.4.3
diff -u -r1.57.4.2 -r1.57.4.3
--- squid3/src/client_side_reply.cc	19 Apr 2005 10:58:13 -0000	1.57.4.2
+++ squid3/src/client_side_reply.cc	25 Apr 2005 13:36:15 -0000	1.57.4.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side_reply.cc,v 1.57.4.2 2005/04/19 10:58:13 rmartinez Exp $
+ * $Id: client_side_reply.cc,v 1.57.4.3 2005/04/25 13:36:15 rmartinez Exp $
  *
  * DEBUG: section 88    Client-side Reply Routines
  * AUTHOR: Robert Collins (Originally Duane Wessels in client_side.c)
@@ -1154,7 +1154,7 @@
         debug(88, 1) ("WARNING: closing FD %d to prevent counter overflow\n",
                       fd);
         debug(88, 1) ("\tclient %s\n",
-                      inet_ntoa(http->getConn().getRaw() != NULL ? http->getConn()->peer.sin_addr : no_addr));
+                      INET_NTOA(http->getConn().getRaw() != NULL ? http->getConn()->peer.sin_addr : no_addr));
         debug(88, 1) ("\treceived %d bytes\n", (int) http->out.size);
         debug(88, 1) ("\tURI %s\n", http->log_uri);
         return 1;
@@ -1166,7 +1166,7 @@
         debug(88, 1) ("WARNING: closing FD %d to prevent counter overflow\n",
                       fd);
         debug(88, 1) ("\tclient %s\n",
-                      inet_ntoa(http->getConn().getRaw() != NULL ? http->getConn()->peer.sin_addr : no_addr));
+                      INET_NTOA(http->getConn().getRaw() != NULL ? http->getConn()->peer.sin_addr : no_addr));
         debug(88, 1) ("\treceived %d bytes (offset %d)\n", (int) http->out.size,
                       (int) http->out.offset);
         debug(88, 1) ("\tURI %s\n", http->log_uri);
Index: squid3/src/comm.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/comm.cc,v
retrieving revision 1.47.2.2
retrieving revision 1.47.2.3
diff -u -r1.47.2.2 -r1.47.2.3
--- squid3/src/comm.cc	19 Apr 2005 10:58:15 -0000	1.47.2.2
+++ squid3/src/comm.cc	25 Apr 2005 13:36:27 -0000	1.47.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm.cc,v 1.47.2.2 2005/04/19 10:58:15 rmartinez Exp $
+ * $Id: comm.cc,v 1.47.2.3 2005/04/25 13:36:27 rmartinez Exp $
  *
  * DEBUG: section 5     Socket Functions
  * AUTHOR: Harvest Derived
@@ -63,7 +63,7 @@
     char *host;
     u_short port;
 
-    struct sockaddr_in S;
+    struct SOCKADDR_IN S;
     CallBack<CNCB> callback;
 
     struct IN_ADDR in_addr;
@@ -987,7 +987,7 @@
 comm_local_port(int fd)
 {
 
-    struct sockaddr_in addr;
+    struct SOCKADDR_IN addr;
     socklen_t addr_len = 0;
     fde *F = &fd_table[fd];
 
@@ -1018,11 +1018,11 @@
 commBind(int s, struct IN_ADDR in_addr, u_short port)
 {
 
-    struct sockaddr_in S;
+    struct SOCKADDR_IN S;
 
     memset(&S, '\0', sizeof(S));
-    S.sin_family = AF_INET;
-    S.sin_port = htons(port);
+    FAMILY_FROM_SA(S) = AF_INET;
+    PORT_FROM_SA(S) = htons(port);
     S.sin_addr = in_addr;
     statCounter.syscalls.sock.binds++;
 
@@ -1031,7 +1031,7 @@
 
     debug(50, 0) ("commBind: Cannot bind socket FD %d to %s:%d: %s\n",
                   s,
-                  S.sin_addr.s_addr == INADDR_ANY ? "*" : inet_ntoa(S.sin_addr),
+                  S.sin_addr.s_addr == INADDR_ANY ? "*" : INET_NTOA(S.sin_addr),
                   (int) port,
                   xstrerror());
 
@@ -1390,9 +1390,9 @@
 void
 ConnectStateData::defaults()
 {
-    S.sin_family = AF_INET;
+    FAMILY_FROM_SA(S) = AF_INET;
     S.sin_addr = in_addr;
-    S.sin_port = htons(port);
+    PORT_FROM_SA(S) = htons(port);
 }
 
 void
@@ -1458,7 +1458,7 @@
 
 int
 
-comm_connect_addr(int sock, const struct sockaddr_in *address)
+comm_connect_addr(int sock, const struct SOCKADDR_IN *address)
 {
     comm_err_t status = COMM_OK;
     fde *F = &fd_table[sock];
@@ -1526,7 +1526,7 @@
     else
         return COMM_ERROR;
 
-    xstrncpy(F->ipaddr, inet_ntoa(address->sin_addr), 16);
+    xstrncpy(F->ipaddr, INET_NTOA(address->sin_addr), 16);
 
     F->remote_port = ntohs(address->sin_port);
 
@@ -1581,7 +1581,7 @@
     fdd_table[sock].close_line = 0;
     fdc_table[sock].active = 1;
     fde *F = &fd_table[sock];
-    xstrncpy(F->ipaddr, inet_ntoa(details.peer.sin_addr), 16);
+    xstrncpy(F->ipaddr, INET_NTOA(details.peer.sin_addr), 16);
     F->remote_port = htons(details.peer.sin_port);
     F->local_port = htons(details.me.sin_port);
     commSetNonBlocking(sock);
@@ -1826,7 +1826,7 @@
 int
 comm_udp_sendto(int fd,
 
-                const struct sockaddr_in *to_addr,
+                const struct SOCKADDR_IN *to_addr,
                 int addr_len,
                 const void *buf,
                 int len)
@@ -1848,7 +1848,7 @@
 
         debug(50, 1) ("comm_udp_sendto: FD %d, %s, port %d: %s\n",
                       fd,
-                      inet_ntoa(to_addr->sin_addr),
+                      INET_NTOA(to_addr->sin_addr),
                       (int) htons(to_addr->sin_port),
                       xstrerror());
 
Index: squid3/src/dns_internal.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/dns_internal.cc,v
retrieving revision 1.15.6.1
retrieving revision 1.15.6.2
diff -u -r1.15.6.1 -r1.15.6.2
--- squid3/src/dns_internal.cc	19 Apr 2005 10:58:16 -0000	1.15.6.1
+++ squid3/src/dns_internal.cc	25 Apr 2005 13:36:42 -0000	1.15.6.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dns_internal.cc,v 1.15.6.1 2005/04/19 10:58:16 rmartinez Exp $
+ * $Id: dns_internal.cc,v 1.15.6.2 2005/04/25 13:36:42 rmartinez Exp $
  *
  * DEBUG: section 78    DNS lookups; interacts with lib/rfc1035.c
  * AUTHOR: Duane Wessels
@@ -85,7 +85,7 @@
 struct _ns
 {
 
-    struct sockaddr_in S;
+    struct SOCKADDR_IN S;
     int nqueries;
     int nreplies;
     int large_pkts;
@@ -110,7 +110,7 @@
 #endif
 static void idnsSendQuery(idns_query * q);
 
-static int idnsFromKnownNameserver(struct sockaddr_in *from);
+static int idnsFromKnownNameserver(struct SOCKADDR_IN *from);
 static idns_query *idnsFindQuery(unsigned short id);
 static void idnsGrokReply(const char *buf, size_t sz);
 static PF idnsRead;
@@ -124,15 +124,25 @@
 
     struct IN_ADDR A;
 
+#ifdef INET6
+    if (!safe_inet6_addr(buf, &A)) {
+#else
     if (!safe_inet_addr(buf, &A)) {
+#endif
         debug(78, 0) ("WARNING: rejecting '%s' as a name server, because it is not a numeric IP address\n", buf);
         return;
     }
 
-    if (A.s_addr == 0) {
+    if (ADDR_IS_ANYADDR(A)) {
+#ifdef INET6
+        debug(78, 0) ("WARNING: Squid does not accept :: in DNS server specifications.\n");
+        debug(78, 0) ("Will be using ::1 instead, assuming you meant that DNS is running on the same machine\n");
+        safe_inet6_addr("::1", &A);
+#else
         debug(78, 0) ("WARNING: Squid does not accept 0.0.0.0 in DNS server specifications.\n");
         debug(78, 0) ("Will be using 127.0.0.1 instead, assuming you meant that DNS is running on the same machine\n");
         safe_inet_addr("127.0.0.1", &A);
+#endif
     }
 
     if (nns == nns_alloc) {
@@ -154,11 +164,11 @@
     }
 
     assert(nns < nns_alloc);
-    nameservers[nns].S.sin_family = AF_INET;
-    nameservers[nns].S.sin_port = htons(DOMAIN_PORT);
+    FAMILY_FROM_SA(nameservers[nns].S) = AF_INET;
+    PORT_FROM_SA(nameservers[nns].S) = htons(DOMAIN_PORT);
     nameservers[nns].S.sin_addr.s_addr = A.s_addr;
     debug(78, 3) ("idnsAddNameserver: Added nameserver #%d: %s\n",
-                  nns, inet_ntoa(nameservers[nns].S.sin_addr));
+                  nns, INET_NTOA(nameservers[nns].S.sin_addr));
     nns++;
 }
 
@@ -428,7 +438,7 @@
 
     for (i = 0; i < nns; i++) {
         storeAppendPrintf(sentry, "%-15s %9d %9d\n",
-                          inet_ntoa(nameservers[i].S.sin_addr),
+                          INET_NTOA(nameservers[i].S.sin_addr),
                           nameservers[i].nqueries,
                           nameservers[i].nreplies);
     }
@@ -514,7 +524,7 @@
 
 static int
 
-idnsFromKnownNameserver(struct sockaddr_in *from)
+idnsFromKnownNameserver(struct SOCKADDR_IN *from)
 {
     int i;
 
@@ -523,7 +533,7 @@
         if (nameservers[i].S.sin_addr.s_addr != from->sin_addr.s_addr)
             continue;
 
-        if (nameservers[i].S.sin_port != from->sin_port)
+        PORT_FROM_SA(if (nameservers[i].S) != from->sin_port)
             continue;
 
         return i;
@@ -642,7 +652,7 @@
     int *N = &incoming_sockets_accepted;
     ssize_t len;
 
-    struct sockaddr_in from;
+    struct SOCKADDR_IN from;
     socklen_t from_len;
     int max = INCOMING_DNS_MAX;
     static char rbuf[SQUID_UDP_SO_RCVBUF];
@@ -681,7 +691,7 @@
         debug(78, 3) ("idnsRead: FD %d: received %d bytes from %s.\n",
                       fd,
                       (int) len,
-                      inet_ntoa(from.sin_addr));
+                      INET_NTOA(from.sin_addr));
         ns = idnsFromKnownNameserver(&from);
 
         if (ns >= 0) {
@@ -691,7 +701,7 @@
 
             if (squid_curtime - last_warning > 60) {
                 debug(78, 1) ("WARNING: Reply from unknown nameserver [%s]\n",
-                              inet_ntoa(from.sin_addr));
+                              INET_NTOA(from.sin_addr));
                 last_warning = squid_curtime;
             }
 
@@ -713,7 +723,7 @@
 
             if (isPowTen(x))
                 debug(78, 1) ("WARNING: Got %d large DNS replies from %s\n",
-                              x, inet_ntoa(from.sin_addr));
+                              x, INET_NTOA(from.sin_addr));
 
             len = 512;
         }
@@ -797,7 +807,7 @@
 
         struct IN_ADDR addr;
 
-        if (Config.Addrs.udp_outgoing.s_addr != no_addr.s_addr)
+        if (!ADDR_IS_NOADDR(Config.Addrs.udp_outgoing))
             addr = Config.Addrs.udp_outgoing;
         else
             addr = Config.Addrs.udp_incoming;
@@ -818,7 +828,7 @@
         port = comm_local_port(DnsSocket);
 
         debug(78, 1) ("DNS Socket created at %s, port %d, FD %d\n",
-                      inet_ntoa(addr),
+                      INET_NTOA(addr),
                       port, DnsSocket);
     }
 
@@ -937,7 +947,7 @@
 {
     idns_query *q;
 
-    const char *ip = inet_ntoa(addr);
+    const char *ip = INET_NTOA(addr);
 
     if (idnsCachedLookup(ip, callback, data))
         return;
Index: squid3/src/dnsserver.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/dnsserver.cc,v
retrieving revision 1.7.4.1
retrieving revision 1.7.4.2
diff -u -r1.7.4.1 -r1.7.4.2
--- squid3/src/dnsserver.cc	19 Apr 2005 10:58:16 -0000	1.7.4.1
+++ squid3/src/dnsserver.cc	25 Apr 2005 13:36:51 -0000	1.7.4.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dnsserver.cc,v 1.7.4.1 2005/04/19 10:58:16 rmartinez Exp $
+ * $Id: dnsserver.cc,v 1.7.4.2 2005/04/25 13:36:51 rmartinez Exp $
  *
  * DEBUG: section 0     DNS Resolver
  * AUTHOR: Harvest Derived
@@ -262,7 +262,7 @@
 
         xmemcpy(&addr, result->h_addr_list[i], sizeof(addr));
 
-        printf(" %s", inet_ntoa(addr));
+        printf(" %s", INET_NTOA(addr));
     }
 
     printf("\n");
